AccountControllerRefreshAccountPropertiesFromActiveDirectory Method |
POST /Account/RefreshAccountPropertiesFromActiveDirectory/{id}
Refreshes the values of account properties from Active Directory (e.g. email address, display name).
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("RefreshAccountPropertiesFromActiveDirectory")]
public IActionResult RefreshAccountPropertiesFromActiveDirectory(
Guid id,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("RefreshAccountPropertiesFromActiveDirectory")>
Public Function RefreshAccountPropertiesFromActiveDirectory (
id As Guid,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"RefreshAccountPropertiesFromActiveDirectory")]
IActionResult^ RefreshAccountPropertiesFromActiveDirectory(
Guid id,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("RefreshAccountPropertiesFromActiveDirectory")>]
member RefreshAccountPropertiesFromActiveDirectory :
id : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the account to be refreshed. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResultA status code indicating success or the reason for failure.
Remarks
When the call executes successfully, the body of the response will indicate whether
any property values changed as a result of the refresh operation.
See Also